# Record Class TranslatedProcedure

java.lang.Object
java.lang.Record
org.apache.cayenne.access.translator.TranslatedProcedure

All Implemented Interfaces:
  `TranslatedStatement`

public record TranslatedProcedure(String sql, CSParameter<?>[] params) extends Record implements TranslatedStatement
An immutable result of translating a `ProcedureQuery` to a stored procedure call.

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TranslatedProcedure(String sql, CSParameter<?>[] params)`
  Creates an instance of a `TranslatedProcedure` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CSParameter<?>[]`
  `params()`
  Returns the value of the `params` record component.
  `String`
  `sql()`
  Returns the value of the `sql` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TranslatedProcedure

    public TranslatedProcedure(String sql, CSParameter<?>[] params)
    Creates an instance of a `TranslatedProcedure` record class.
    Parameters:
      `sql` - the value for the `sql` record component
      `params` - the value for the `params` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### sql

    public String sql()
    Returns the value of the `sql` record component.
    Specified by:
      `sql` in interface `TranslatedStatement`
    Returns:
      the value of the `sql` record component

  - ### params

    public CSParameter<?>[] params()
    Returns the value of the `params` record component.
    Returns:
      the value of the `params` record component